Bug 1248660 - Wrong number of arguments to initialize
Wrong number of arguments to initialize
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: etherbat (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 10:23 EDT by Göran Uddeborg
Modified: 2017-03-15 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-15 11:22:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2015-07-30 10:23:24 EDT
Description of problem:
Etherbat has stopped working for me.  I'm not sure exactly when it happened, it might be before I upgraded to F22.  But the current version I'm trying to use now doesn't work whatever arguments I give it.


Version-Release number of selected component (if applicable):
ruby-2.2.2-40.fc22.x86_64
etherbat-1.0.1-16.fc22.x86_64


How reproducible:
Every time.


Steps to Reproduce:
1. etherbat


Actual results:
/usr/bin/etherbat:1316: warning: method redefined; discarding old initialize
/usr/share/ruby/optparse.rb:909: warning: previous definition of initialize was here
/usr/bin/etherbat:1316:in `initialize': wrong number of arguments (0 for 1) (ArgumentError)
        from /usr/bin/etherbat:1327:in `new'
        from /usr/bin/etherbat:1327:in `initialize'
        from /usr/bin/etherbat:1388:in `new'
        from /usr/bin/etherbat:1388:in `<main>'


Expected results:
A usage message.


Additional info:
Adding IP addresses or flags doesn't change anything.  It always dies with this message whatever I try.
Comment 1 Fedora End Of Life 2016-07-19 13:16:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Göran Uddeborg 2016-07-19 15:52:57 EDT
The problem remains in F24

etherbat-1.0.1-18.fc24.x86_64
ruby-2.3.1-56.fc24.x86_64
Comment 3 Gwyn Ciesla 2017-03-15 11:22:10 EDT
Doesn't work on modern Ruby, dead upstream.

Note You need to log in before you can comment on or make changes to this bug.